import { Select } from 'antd';
import { useProductsAuditStates } from '@/hooks/useProductsSets';

const AuditStateSelector = ({ ...props }) => {
  const states = useProductsAuditStates();
  return (
    <>
      <Select labelInValue allowClear options={states} {...props}/>
    </>
  );
};
export default AuditStateSelector;
