import { Select } from 'antd';
import { useProductsTypes } from '@/hooks/useProductsSets';
import { useTranslation } from 'react-i18next';

const ProductsTypesSelector = ({...props}) => {
  const productsTypes = useProductsTypes();
  const { t } = useTranslation();
  return (
    <>
      <Select labelInValue allowClear placeholder={t('products:ProductType')} options={productsTypes} {...props}/>
    </>
  );
};
export default ProductsTypesSelector;
