export const useHTLanguageSets = () => {
  const newData = [
    { key: '1', value: '1', label: 'English' },
    { key: '2', value: '2', label: 'Chinese (中文)' },
    { key: '3', value: '3', label: 'Japanese (日本語)' },
    { key: '4', value: '4', label: 'German (Deutsch)' },
    { key: '5', value: '5', label: 'French (Français)' },
    { key: '6', value: '6', label: 'Spanish (Español)' },
    { key: '7', value: '7', label: 'Russian (Русский)' },
    { key: '8', value: '8', label: 'Italian (Italiano)' },
  ];

  return newData;
};

export const useHTLanguageSetsMapVal = () => {
  const stateSets = useHTLanguageSets();
  const stateMapVal = stateSets.reduce((r, c) => ({ ...r, [`${c.value}`]: c }), {});
  return stateMapVal;
};
