import { create } from 'zustand';
import { devtools } from 'zustand/middleware';

export const useFormStore = create(
  devtools((set, get) => ({
    formValues: {},
    setFormValues: (values) => set((state) => ({ formValues: { ...state.formValues, ...values } })),
    formValuesToSub: {},
    setFormValuesToSub: (values) => set((state) => ({ formValuesToSub: { ...state.formValuesToSub, ...values } })),
  }), { name: 'formStore' })
);
export default useFormStore;
